Name:           ocaml-syslog
Version:        1.4
Release:        %mkrel 5
Summary:        Syslog routines for OCaml
Source:         http://homepage.mac.com/letaris/syslog-%{version}.tar.gz
URL:            http://homepage.mac.com/letaris
License:        LGPL
Group:          Development/OCaml
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib

%description
Syslog routines for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n syslog-%{version}

%build
make 
make opt
make htdoc

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{_libdir}/ocaml
install -d -m 755 %{buildroot}/%_defaultdocdir/%{name}/html
ocamlfind install syslog META -destdir %{buildroot}/%{_libdir}/ocaml \
    syslog.cmi syslog.mli syslog.cma syslog.cmxa syslog.a
rm -f %{buildroot}/%{_libdir}/ocaml/stublibs/*.owner

%files
%doc Changelog doc/syslog/html
%dir %{_libdir}/ocaml/syslog
%{_libdir}/ocaml/syslog/*.cmi
%{_libdir}/ocaml/syslog/*.cma
%{_libdir}/ocaml/syslog/META

%files devel
%{_libdir}/ocaml/syslog/*.a
%{_libdir}/ocaml/syslog/*.cmxa
%{_libdir}/ocaml/syslog/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4-5.mga3
+ Revision: 361654
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.4-4.mga3
+ Revision: 301488
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.4-2.mga3
+ Revision: 300528
- new rpm group for ocaml

* Fri Mar 23 2012 blue_prawn <blue_prawn> 1.4-1.mga2
+ Revision: 225899
- imported from Mandriva

